# eric7.UI.PixmapCache

Module implementing a pixmap cache for icons.

### Global Attributes

pixCache

### Classes

PixmapCache | Class implementing a pixmap cache for icons.

### Functions

addSearchPath | Module function to add a path to the search path.
getCombinedIcon | Module function to retrieve a symbolic link icon.
getIcon | Module function to retrieve an icon.
getPixmap | Module function to retrieve a pixmap.
getSymlinkIcon | Module function to retrieve a symbolic link icon.
removeSearchPath | Public method to remove a path from the search path.

## PixmapCache

Class implementing a pixmap cache for icons.

### Derived from

None

### Class Attributes

SupportedExtensions

### Class Methods

None

### Methods

PixmapCache | Constructor
addSearchPath | Public method to add a path to the search path.
getPixmap | Public method to retrieve a pixmap.
removeSearchPath | Public method to remove a path from the search path.

### Static Methods

None

#### PixmapCache (Constructor)

PixmapCache()

Constructor

#### PixmapCache.addSearchPath

addSearchPath(path)

Public method to add a path to the search path.

path (str)
  path to add

#### PixmapCache.getPixmap

getPixmap(key, size=None)

Public method to retrieve a pixmap.

key (str)
  name of the wanted pixmap
size (QSize)
  requested size

Return:
  the requested pixmap

Return Type:
  QPixmap

#### PixmapCache.removeSearchPath

removeSearchPath(path)

Public method to remove a path from the search path.

path (str)
  path to remove

Up

## addSearchPath

addSearchPath(path, cache=pixCache)

Module function to add a path to the search path.

path (str)
  path to add
cache (PixmapCache)
  reference to the pixmap cache object

Up

## getCombinedIcon

getCombinedIcon(keys, size=None, cache=pixCache)

Module function to retrieve a symbolic link icon.

keys (list of str)
  list of names of icons
size (QSize)
  requested size of individual icons
cache (PixmapCache)
  reference to the pixmap cache object

Return:
  the requested icon

Return Type:
  QIcon

Up

## getIcon

getIcon(key, size=None, cache=pixCache)

Module function to retrieve an icon.

key (str)
  name of the wanted pixmap
size (QSize)
  requested size
cache (PixmapCache)
  reference to the pixmap cache object

Return:
  the requested icon

Return Type:
  QIcon

Up

## getPixmap

getPixmap(key, size=None, cache=pixCache)

Module function to retrieve a pixmap.

key (str)
  name of the wanted pixmap
size (QSize)
  requested size
cache (PixmapCache)
  reference to the pixmap cache object

Return:
  the requested pixmap

Return Type:
  QPixmap

Up

## getSymlinkIcon

getSymlinkIcon(key, size=None, cache=pixCache)

Module function to retrieve a symbolic link icon.

key (str)
  name of the wanted pixmap
size (QSize)
  requested size
cache (PixmapCache)
  reference to the pixmap cache object

Return:
  the requested icon

Return Type:
  QIcon

Up

## removeSearchPath

removeSearchPath(path, cache=pixCache)

Public method to remove a path from the search path.

path (str)
  path to remove
cache (PixmapCache)
  reference to the pixmap cache object

Up